/*
Theme Name: Zella Theme Child
Theme URI: http://zella.nasatheme.com
Description: This is a child theme for Zella Theme
Author: NasaTheme team
Author URI: http://nasatheme.com
Template: zella-theme
Version: 1.9.38
Text Domain: zella-theme-child
*/


/*************** ADD YOUR CUSTOM CSS IN THIS AREA ***************/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap&subset=latin-ext');

.load-more-text,
.nasa-end-content {
  font-family: 'Montserrat', helvetica, arial, sans-serif !important;
}

/*menu*/
/* Style the container to use a grid layout with two columns */
#site-navigation .books-menu .sub-menu.large-block-grid-2 {
  display: grid;
  grid-template-columns: 1fr 1fr; /* Two columns */
  grid-template-rows: repeat(4, auto);
  gap: 1px; /* Add spacing between items */
  list-style: none; /* Remove bullet points */
  padding: 0; /* Remove padding */
  margin: 0; /* Remove margin */
}

/* Place books-left items in the first column */
#site-navigation .books-menu .books-left {
  grid-column: 1; /* Force placement in the first column */
}

/* Place books-right items in the second column */
#site-navigation .books-menu .books-right {
  grid-column: 2; /* Force placement in the second column */
  grid-row: 1 / span 4;
}

.bread .breadcrumb-row h3 span {
  margin: 0px;
}

.bread .breadcrumb-row h3 {
  font-weight: 600;
  font-size: 125%;
}


/*Home page Grayscale and parallax effect*/
/* Container to restrict the overflow */
#categories-img .vc_single_image-wrapper {
  overflow: hidden; /* Ensures the zoomed part of the image stays inside the container */
  display: inline-block; /* Keeps the layout intact */
}

/* Smooth transitions */
#categories-img  .vc_single_image-wrapper img {
  transition: transform 0.5s ease, filter 0.5s ease;
}

/* Hover effect */
#categories-img  .vc_single_image-wrapper:hover img {
  filter: grayscale(80%);
  transform: scale(1.05); /* Inner zoom effect */
}

.product-info .entry-title {
  font-size: 200%;
}

.product-item .info .price {
  color: #5f5f5f;
}

.product-info .price {
  font-size: 160%;
  color: #5f5f5f;
}

.nasa-product-details-page .nasa-attr-ux_wrap .nasa-attr-ux .nasa-attr-bg {
  height: 31px;
  width: 31px;
}

.transport-info{
  text-align: center;
}

.card-accept-div img{
  width: 50px;
}

.payment_method_gopay-inline-apple_pay img {
  width: 40px;
  max-width: 40px !important;
  display: inline-block;
  vertical-align: middle;
  padding-left: 10px;
} 

.product-info .cart .single_add_to_cart_button {
  padding: 15px 70px;
  text-transform: none;

}

.widget_shopping_cart_content .wpcfb-wrap {
  padding-left: 0px;
  padding-right: 0px;
}

.wpcfb-message{
  font-weight: 700;
  font-size: 200%;
}

.wpcfb-title{
  display: none;
}

/*Sentence about free shipping color*/
.woocommerce-Price-amount {
  color: black !important;
}

.left-to-free{
  color: black !important;
}
/**/

.product-info .variations .value .nasa-attr-ux_wrap .nasa-attr-ux {
  padding-right: 20px;
  min-width: 60px;
}
/*
.nasa-attr-ux_wrap .nasa-attr-ux.selected .nasa-attr-bg:before {
  top: 3px;
  left: 8px;
}
*/

.nasa-product-details-page .nasa-attr-ux_wrap .nasa-attr-ux .nasa-attr-text {
  font-size: 0.9em;
}

.product-info .woocommerce-product-details__short-description {
  font-size: 1.1em;
}

div#nasa-tab-description {
  font-size: 1em;
}

.related-product {
  margin-top: 50px;

}

/*Disable Weight and Size from product page*/
table.woocommerce-product-attributes.shop_attributes {
  display: none;
}

.nasa-slide-style-product-carousel .nasa-shortcode-title-slider {
  font-size: 230%;
}

#other_info_button{
  font-size: 1.5em;
  margin-top: 40px;
  margin-bottom: 10px;
  cursor: pointer;
  font-weight: 700;
}

#other_info_block {
  font-size: 0.9em;
}


.nav-wrapper .header-nav .root-item > a {
  text-transform: none;
}

li.menu-item.nasa-megamenu > .nav-dropdown > .div-sub > ul > li.menu-item.megatop > a {
  text-transform: none;
}

.bread .breadcrumb-row h3 {
  text-transform: none;
}



.cart-message-gift {
  color: #5cb85c;
  font-size: 1.5rem;
}

.item-product-widget .product-meta .product-title a {
  transition: none !important;
}

.wcml-cs-active-currency {
  font-weight: 500;
}

.custom-info-box {
  max-width: 100%; /* Adjust width as needed */
  padding: 15px;
  padding-top: 15px !important;
  background-color: #f0f8ff; /* Light blue info background */
  border-left: 4px solid #007cba; /* WooCommerce blue */
  color: #333;
  font-size: 14px;
  border-radius: 5px;
  text-align: left;
  line-height: normal;
  margin-bottom: 40px;
}

.nav-wrapper .header-nav .root-item > a {
  text-transform: none;
}

li.menu-item.nasa-megamenu > .nav-dropdown > .div-sub > ul > li.menu-item.megatop > a {
  text-transform: none;
}

/***Footer newsletter***/

/*Nasa Footer newsletter font change*/
.ec-v-form-btntype-submit button {
  font-family: 'Montserrat', helvetica, arial, sans-serif !important;
  font-weight: 500 !important;
}

/* Style for each menu item */
#nasa-footer  .header-nav li {
  text-align: left; /* Align text to the left */
  padding: 0px;
}

/* Parent container styling for two-column layout */
#nasa-footer .header-nav {
  display: grid;
  grid-template-columns: 1fr; /* Two equal columns */
  list-style: none; /* Remove bullet points */
  padding: 0; /* Remove default padding */
  margin: 0; /* Remove default margin */
}

/* Link styling */
#nasa-footer  .header-nav a {
  text-decoration: none; /* Remove underline from links */
  color: #000; /* Set text color */
  display: block; /* Ensure the entire area of the link is clickable */
  transition: color 0.3s, background-color 0.3s; /* Smooth hover effects */
  text-align: left;
}

.footer-address a{ 
  text-decoration: underline;
  color: #000;
}

.nasa-godzone-footer-logo {
  max-width: 200px;
}

html body #nasa-footer .row {
  max-width: 1200px !important;
}

.ec-v-form-column {
  display: flex !important;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: nowrap;
  flex-direction: row;
}

.row.card-accept-div.vc_custom_1732801665529.-o-equal-height.-flex {
  width: 275px;
}

.newsletter .row {
  display: flex;
  flex-direction: row;
  align-content: space-around;
  align-items: baseline;
}

.ec-v-form-input {
  width: 355px !important;
  padding: 0px !important;
  margin: 0px !important;
}

.ec-v-form-btntype-submit{
  padding: 0px 10px !important;
  text-align: center;
  height: 45px !important;
  font-size: 0em;
  position: relative;
  margin-left: 10px;

}

.ec-v-form-btntype-submit button {
  height: 100%;
  border-radius:7px !important;
}

.ec-v-form-input label {
  margin-bottom: 0px !important;
}

#nasa-footer input[type="email"] {
  margin: 0px;
  border-radius: 7px;
  font-family: 'Montserrat', helvetica, arial, sans-serif;
}

#nasa-footer .nasa-footer-bottom {
  border: none;}

.footer-menu-sm {
  margin-bottom: 40px;
}

.footer-menu-sm .menu-item a {
  font-size: 1.1em !important;
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.nasa-wrap-item-thumb img{
  border-radius: 5px;
}

.mobile-only-menu-footer {
  display: none;
}

/* To disable sizes that are displayed on hover */
.nasa-product-content-nasa_label-wrap {
  display: none;
}

@media only screen and (max-width: 768px) {

  .product-info .woocommerce-product-details__short-description {
    min-height: 0px;
  }

  .newsletter{
    height: 250px;
  }

  .newsletter .row {
    flex-direction: column;
  }


  .newsletter .row .ec-v-form-input {
      width: 100% !important;
      padding-left: 0px !important;
      padding-right: 0px !important;
  }

  .newsletter .row .ec-v-form-column {
    flex-direction: column;
  }

  .newsletter .row .ec-v-form-btntype-submit {
    width: 100% !important;
    padding: 0px !important;
    margin-top: 10px;
  }

  .newsletter .row .ec-v-form-btntype-submit button {
    width: 100% !important;
  }

  .footer-address {
    text-align: justify;
    margin-top: 10px;
  }

  .card-accept-div {
    display: flex;
    justify-content: center;
    max-width: 315px !important;
  }

  .mobile-only-menu-footer .menu-item {
    padding: 0px;
    margin: 0px;
  }

  .mobile-only-menu-footer {
    display: block;
  }

  .nasa-footer-bottom .social-icons{
    text-align: justify;
  }

  .footer-section-mobile {
    margin: 0px;
    padding: 0px;
    margin-bottom: 0px;
    margin-top: 0px;
    margin-left: 0px;
    margin-right: 0px;
  }

  .header-type-2 .logo-wrapper {
      margin-top: -5px;
  }
}

/*
* menu-highlighted styles
*/
.nav-wrapper .header-nav .root-item.menu-highlighted a {
    color: rgba(255, 255, 255, 1) !important;
    border-style: solid;
    background-color: #c82d34;
    font-weight: 700;
    padding: 10px 20px;
    line-height: 125%;
}

.nav-wrapper .header-nav .root-item.menu-highlighted > a .nasa-text-menu:after {
    border: none;
}

.nav-wrapper .header-nav .root-item.menu-highlighted a:hover
,#nasa-menu-sidebar-content.nasa-light-new #mobile-navigation li.menu-highlighted a:hover {
    background-color: #e14f56;
}

.header-type-2 .nasa-bg-dark .nav-wrapper .header-nav li.root-item.menu-highlighted:hover > a .nasa-text-menu:after {
  border: none;
}

#nasa-menu-sidebar-content.nasa-light-new #mobile-navigation li.menu-highlighted a {
    color: rgba(255, 255, 255, 1) !important;
    border-style: solid;
    background-color: #c82d34;
    font-weight: 700;
    padding: 10px 20px;
    line-height: 125%;
    display: inline-block;
    margin: 15px 0 15px 15px;
    border: none;
}